#define	CURSES_LIBRARY	1
#include <curses.h>
#undef	wtabsize

#ifdef PDCDEBUG
char *rcsid_wtabsize = "$Header: C:\CURSES\nonport\RCS\wtabsize.c 2.1 1993/06/18 20:22:25 MH Rel MH $";
#endif




/*man-start*********************************************************************

  wtabsize()	- Set tab size in window

  X/Open Description:
 	Not available.

  PDCurses Description:
 	This routine sets the tabsize for stdscr and returns the previous
 	tab size settings.

  X/Open Return Value:
 	This routine returns the previous tab size setting upon success
 	otherwise, it returns ERR.

  PDCurses Errors:
 	

  Portability:
 	PDCurses	int wtabsize( WINDOW* win, int ts );
 	X/Open Dec '88	int wtabsize( WINDOW* win, int ts );
 	SysV Curses	
 	BSD Curses	

**man-end**********************************************************************/

int	wtabsize(WINDOW *win, int ts)
{
	int	origval;

#ifdef PDCDEBUG
	if (trace_on) PDC_debug("wtabsize() - called\n");
#endif

	if (win == (WINDOW *)NULL)
		return( ERR );

	origval = win->_tabsize;
	win->_tabsize = ts;
	return( origval );
}
